- Qt 6.8
- Qt GUI
- C++ Classes
- QWaylandScreen
- Qt 6.8.2 Reference Documentation

# QWaylandScreen Struct

struct QNativeInterface::QWaylandScreen

Native interface to a screen on Wayland. More...

Header: | `#include <QWaylandScreen>`
CMake: | `find_package(Qt6 REQUIRED COMPONENTS Gui)` `target_link_libraries(mytarget PRIVATE Qt6::Gui)`
qmake: | `QT += gui`
Since: | Qt 6.7

- List of all members, including inherited members
- QWaylandScreen is part of Native Interfaces.

## Public Functions

virtual wl_output * | output() const = 0

## Detailed Description

Accessed through QScreen::nativeInterface().

## Member Function Documentation

### `[pure virtual]` wl_output *QWaylandScreen::output() const

Returns the underlying wl_output of this QScreen.